package com.huimv.produce.controller;


import com.huimv.common.utils.Result;
import com.huimv.produce.service.ISysFodderService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.swing.plaf.PanelUI;
import java.security.PublicKey;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-15
 */
@RestController
@RequestMapping("/sysFodder")
public class SysFodderController {
    @Autowired
    private ISysFodderService fodderService;

    @PostMapping("/getAllFodder")
    public Result getAllFodder(@RequestBody Map map){
        return fodderService.getAllFodder(map);
    }

    @PostMapping("/getFodder")
    public Result getFodder(@RequestBody Map map){
        return fodderService.getFodder(map);
    }




}
