package com.huimv.produce.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.produce.entity.BaseRoom;
import com.huimv.produce.entity.SysMonthWater;
import com.huimv.produce.entity.dto.AllDayWater;
import com.huimv.produce.mapper.BaseRoomMapper;
import com.huimv.produce.mapper.SysMonthWaterMapper;
import com.huimv.produce.service.ISysMonthWaterService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-12
 */
@Service
public class SysMonthWaterServiceImpl extends ServiceImpl<SysMonthWaterMapper, SysMonthWater> implements ISysMonthWaterService {

    @Autowired
    private BaseRoomMapper baseRoomMapper;

    @Override
    public Result getAllDayWater(Integer farmId) {
       List<AllDayWater> list =  baseRoomMapper.getAllDayWater(farmId);
        return new Result(ResultCode.SUCCESS,list);
    }
}
