package com.huimv.produce.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.utils.DataUill;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.produce.entity.ProdSowPigletStatus;
import com.huimv.produce.entity.ProdWarningMsg;
import com.huimv.produce.service.IProdSowPigletStatusService;
import com.huimv.produce.service.IProdWarningMsgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  预警信息表
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-25
 */
@RestController
@RequestMapping("/prodWarningMsg")
public class ProdWarningMsgController {
    @Autowired
    private IProdWarningMsgService warningMsgService;

    @GetMapping("/listWarningMsg")
    public Result listWarningMsg(@RequestParam(name = "farmId") Integer farmId){
        List<ProdWarningMsg> list = warningMsgService.list(new QueryWrapper<ProdWarningMsg>().eq("farm_id", farmId).eq("add_time", DataUill.getTimesmorning()));
        return new Result(ResultCode.SUCCESS,list);
    }
}
